/* GAAE - GAAE Ain't an Automata Editor
 * Copyright (C) 2001 Jan Outrata <outrataj@upcase.inf.upol.cz>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "regular_grammar_l.h"

RegularGrammar_l::RegularGrammar_l()
{
  grammar = new RegularGrammar;
  Grammar_l::grammar = grammar;
}

RegularGrammar_l::~RegularGrammar_l()
{
  delete grammar;
  grammar = NULL;
  Grammar_l::grammar = NULL;
}

const RegularGrammar_l &
RegularGrammar_l::operator=(const RegularGrammar_l &g)
{
  if (this != &g) {
    nonterminal_symbols = g.nonterminal_symbols;
    terminal_symbols = g.terminal_symbols;
    *grammar = *(g.grammar);
    *(Grammar_l::grammar) = *(g.grammar);
  }
  return *this;
}
