/* GAAE - GAAE Ain't an Automata Editor
 * Copyright (C) 2001 Jan Outrata <outrataj@upcase.inf.upol.cz>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// classes of the stack automata element looks

#ifndef __STACK_AUTOMATA_ELEMENTS_L_H__
#define __STACK_AUTOMATA_ELEMENTS_L_H__

#include "stack_automata_elements.h"
#include <string>

// StackSymbol look
class StackSymbol_l {
 protected:
  string name;
 public:
  StackSymbol_l();
  StackSymbol_l(string n);
  string getName();
  // returns: stack symbol name
  enum t_flags { F_START = 1 };
  string getLook(StackSymbol symbol, t_flags flags);
  // returns: StackSymbol look: (stack_symbol _id_ _name_ [s])
  // [x] = x is optional
 protected:
  string StackSymbol_to_string(StackSymbol symbol);
};

#endif
