#ifndef EXPORT_H
#define EXPORT_H

typedef struct {
    unsigned info : 1;
    unsigned comment : 1;
    unsigned delatex : 1;
    unsigned picture : 1;
    unsigned size : 4;
} FLAGS;

extern void setup_options(void);
extern void set_options_info(gboolean val);
extern void set_options_comment(gboolean val);
extern void set_options_delatex(gboolean val);
extern void set_options_picture(gboolean val);
extern void set_options_size(int val);
extern gboolean get_options_info(void);
extern gboolean get_options_comment(void);
extern gboolean get_options_delatex(void);
extern gboolean get_options_picture(void);
extern int get_options_size(void);

extern gboolean export(char *fname);

#endif
