/* GAAE - GAAE Ain't an Automata Editor
 * Copyright (C) 2001 Jan Outrata <outrataj@upcase.inf.upol.cz>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// class of the regular grammar look

#ifndef __REGULAR_GRAMMAR_L_H__
#define __REGULAR_GRAMMAR_L_H__

#include "grammar_l.h"
#include "regular_grammar.h"

class RegularGrammar_l : public Grammar_l {
 protected:
  RegularGrammar* grammar;
 public:
  RegularGrammar_l();
  ~RegularGrammar_l();
 public:
  const RegularGrammar_l &operator=(const RegularGrammar_l &g);
  // for conversion functions only
  RegularGrammar **
    getGrammar_h() { return &grammar; }
};

#endif
